=== debian/changelog ===
tango (7.2.6+dfsg-4build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:26:51 -0700

tango (7.2.6+dfsg-4build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:27:28 -0800

tango (7.2.6+dfsg-4) unstable; urgency=low

  * debian/patches
    - 0007-upstream-fix-tango-db-start-during-init.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 May 2011 15:13:04 +0200

tango (7.2.6+dfsg-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2
  * Add libjs-jquery dependency to avoid embedding jquery.js
  * Add debconf translations:
    - Swedish, from Martin Bagge, (closes: #623527)
    - Russian, from Yuri Kozlov (closes: #623793)
    - German, from Chris Leick (closes: #623889)
    - Czech, from Michal Simunek (closes: #624224)
    - Danish, from Joe Dalton (closes: #624643)
    - Japanese, from Hideki Yamane (closes: #626378)
  * Update debconf translation:
    - French, from Christian Perrier, (closes: #623887)
  * debian/patches
    - 0004-upstream-fix-bug3285674.patch (new)
    - 0005-upstream-fix-bug3213730.patch (new)
    - 0006-feature-forwarded-upstream-pkg-config-small-fixes.patch (new)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 24 Apr 2011 09:57:31 +0200

tango (7.2.6+dfsg-2) unstable; urgency=low

  * Split tango-common into tango-common and libtango-tools
    to solve the circular dependency (Closes: #623249)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 19 Apr 2011 00:08:55 +0200

tango (7.2.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #400201)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 22 Mar 2011 09:24:31 +0100
