=== debian/control ===
Source: tango
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 7.0.50),
	       po-debconf,
	       autotools-dev, autoconf, automake, libtool,
	       libcos4-dev (>= 4.1.3),
	       libmysqlclient-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.2
Homepage: http://www.tango-controls.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/tango.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tango.git

Package: liblog4tango4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango4 library.

Package: liblog4tango4-dev
Section: libdevel
Architecture: any
Depends: liblog4tango4 (= ${binary:Version}),
	 ${misc:Depends}
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango4 development files.

Package: liblog4tango4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: liblog4tango4 (= ${binary:Version}),
	 ${misc:Depends}
Description: logging for TANGO - debug library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the debugging symbol for liblog4tango4.

Package: liblog4tango4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango4 library.

Package: libtango7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 tango-common
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango7-dev
Section: libdevel
Architecture: any
Depends: libtango7 (= ${binary:Version}),
	 ${misc:Depends},
	 liblog4tango4-dev,
	 libcos4-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango7 development files.

Package: libtango7-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libtango7 (= ${binary:Version}),
	 ${misc:Depends}
Description: TANGO distributed control system - debug library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the debugging symbols for tango7.

Package: libtango7-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango7 library.

Package: libtango-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Section: net
Architecture: all
Depends: ${misc:Depends},
	 adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 lsb-base (>= 3.0-6),
	 dbconfig-common,
	 libtango-tools
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL.

Package: tango-db-dbg
Section: debug
Architecture: any
Depends: tango-db (= ${binary:Version}),
	 ${misc:Depends}
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-db.

Package: tango-starter
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libtango-tools,
	 lsb-base (>= 3.0-6)
Suggests: omninotify
Description: TANGO distributed control system - control server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-starter-dbg
Section: debug
Architecture: any
Depends: tango-starter (= ${binary:Version}),
	 ${misc:Depends}
Suggests: omninotify
Description: TANGO distributed control system - control server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-starter.

Package: tango-accesscontrol
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 lsb-base (>= 3.0-6),
	 libtango-tools,
	 tango-db,
	 tango-starter
Description:  TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-accesscontrol-dbg
Section: debug
Architecture: any
Depends: tango-accesscontrol (= ${binary:Version}),
	 ${misc:Depends}
Description:  TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-accesscontrol.

Package: tango-test
Section: net
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 tango-starter
Description:  TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.

Package: tango-test-dbg
Section: debug
Architecture: any
Depends: tango-test (= ${binary:Version}),
	 ${misc:Depends}
Description:  TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-test.
