=== debian/rules ===
#!/usr/bin/make -f

BUILDROOT=build
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')
LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')

get-orig-source:
	uscan --verbose --force-download --download-current-version
	cp ../$(PACKAGE)-$(VERSION).tar.gz ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
	gunzip ../$(PACKAGE)-$(VERSION)+dfsg.tar.gz
	tar f ../$(PACKAGE)-$(VERSION)+dfsg.tar --delete $(PACKAGE)-$(VERSION)/lib/java
	gzip -9 ../$(PACKAGE)-$(VERSION)+dfsg.tar
	ln -fs $(PACKAGE)-$(VERSION)+dfsg.tar.gz ../$(PACKAGE)_$(VERSION)+dfsg.orig.tar.gz

override_dh_auto_configure:
	dh_auto_configure -- --with-omni=/usr --disable-dbcreate --disable-java --with-doxygen

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 $(CURDIR)/debian/sql/upgrade-7.2.0~rc1+dfsg-1 debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql/7.2.0~rc1+dfsg-1
	install -p -m 644 $(CURDIR)/debian/sql/upgrade-7.2.6+dfsg-1 debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql/7.2.6+dfsg-1

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 $(CURDIR)/$(BUILDROOT)/cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_strip:
	dh_strip -plibtango7 --dbg-package=libtango7-dbg
	dh_strip -pliblog4tango4 --dbg-package=liblog4tango4-dbg
	dh_strip -ptango-db --dbg-package=tango-db-dbg
	dh_strip -ptango-starter --dbg-package=tango-starter-dbg
	dh_strip -ptango-accesscontrol --dbg-package=tango-accesscontrol-dbg
	dh_strip -ptango-test --dbg-package=tango-test-dbg
	dh_strip -a -Nlibtango7 -Nliblog4tango4 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

%:
	dh $@ --builddirectory=$(BUILDROOT)

.PHONY: get-orig-source
