## tango 8.0.5+dfsg

=== debian/changelog ===
tango (8.0.5+dfsg-3ubuntu0.1) saucy; urgency=low

  * fix for real the build on ubuntu (mismatch between shell and
    makefile syntax) (LP: #1250534)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Nov 2013 10:22:20 +0100

tango (8.0.5+dfsg-3) unstable; urgency=low

  * debian/patches
    - 0007-upstream-attempt-to-fix-the-powerpc-FTBFS.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2013 20:16:52 +0200

tango (8.0.5+dfsg-2) unstable; urgency=low

  * uploaded into unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 May 2013 08:22:11 +0200

tango (8.0.5+dfsg-1) experimental; urgency=low

  * Imported Upstream version 8.0.5+dfsg
  * Bump Standards-Version to 3.9.4 (nothing to do)
  * switch to compat level 9
  * debian/control
    - Add new binary packages libtango8, libtango8-dev, libtango8-dbg
    - Remove binary packages libtango7, libtango7-dev, libtango7-dbg
    - Multiarchify:
      * liblog4tango4, liblog4tango4-dev, liblog4tango4-dbg
      * libtango8, libtango8-dev, libtango8-dbg
      * tango-common
  * debian/patches
    - refreshed
      * 0001-debian-fix_database_scripts.patch
      * 0002-debian-my.cnf.in.patch
      * 0003-debian-notify_daemon.patch
    - deleted
      * 0004-upstream-fix-bug3285674.patch
      * 0005-upstream-fix-bug3213730.patch
      * 0006-feature-forwarded-upstream-pkg-config-small-fixes.patch
      * 0007-upstream-fix-tango-db-start-during-init.patch
      * 0008-feature-add-jpegmmx-option-to-configure-script.patch
      * 0009-upstream-fix-bug3339975.patch
    - new
      * 0004-upstream-fix-p805_1.patch
      * 0005-fix-forwaded-upstream-add-LIBZMQ_LIBS-to-libtango.patch
      * 0006-upstream-fix-p805_2.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Jan 2013 09:38:26 +0200

tango (7.2.6+dfsg-14) unstable; urgency=low

  * debian/patch
    - 0002-debian-my.cnf.in.patch (updated) (Closes: #684332)
      put the right user in my.cnf using dbconfig-common template engine

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Sep 2012 08:31:51 +0200

tango (7.2.6+dfsg-13) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
    - use cme (config-edit) to fix the copyright URL
  * Add debconf translation:
    - Portuguese, from Pedro Ribeiro, (Closes: #651431)
    - Polish, from Michał Kułach (Closes: #660097)
    - Dutch, from Jeroen Schot, (Closes: #660204)
    - Indone, from Izharul Haq, (Closes: #660100)
    - Italian, from Beatrice Torracca (Closes: #660761)
    - Slovak, from Ivan Masár (Closes: #661132)
  * Build out of the box on squeeze
    - update Build-Deps
    - use dpkg-buildflags --export=make instead of configure

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Dec 2011 15:30:40 +0100

tango (7.2.6+dfsg-12) unstable; urgency=low

  * remove symbols files (Closes: #635867)
  * debian/rules
    - hardening flags activated as we are providing daemons.
  * debian/patches
    - 0009-upstream-fix-bug3339975.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Oct 2011 20:44:03 +0200

tango (7.2.6+dfsg-11) unstable; urgency=low

  * debian/*.symbols
    - libtango7 update all arch symbols

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 17 Sep 2011 09:55:08 +0200

tango (7.2.6+dfsg-10) unstable; urgency=low

  * debian/*.symbols
    - log4tango4 updated for all arch
    - libtango7 add all arch symbols

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 07 Aug 2011 11:04:08 +0200

tango (7.2.6+dfsg-9) unstable; urgency=low

  * debian/rules
    - add DPKG_GENSYMBOLS_CHECK_LEVEL=0 until I completed the symbols
      files for all arch.
  * debian/patches
    - 0008-feature-add-jpegmmx-option-to-configure-script.patch (updated)
      remove the mmx optimisation for all arch as it FTBFS on amd64.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Jul 2011 19:06:33 +0200

tango (7.2.6+dfsg-8) unstable; urgency=low

  * do not build with mmx optimisation for the i386 arch
  * debian/patches
    - 0008-feature-add-jpegmmx-option-to-configure-script.patch (new)

  * debian/libtango7.symbols
    - remove all mmx related symbols from the i386 arch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Jul 2011 00:07:30 +0200

tango (7.2.6+dfsg-7) unstable; urgency=low

  * debian/*.symbols
    - switch to (c++) tag
    - remove all duplicated lignes with the "uniq" command

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 30 Jul 2011 21:02:47 +0200

tango (7.2.6+dfsg-6) unstable; urgency=low

  * debian/liblog4tango4.symbols
    - try to fix for all arch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 28 Jul 2011 22:57:32 +0200

tango (7.2.6+dfsg-5) unstable; urgency=low

  * switch to compat level 8
  * add the symbols files
  * Add debconf translation:
    - Spanish, from Camaleón, (Closes: #632950)
  * debian/copyright fixed using config-edit

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Jul 2011 16:55:06 +0200
