=== debian/control ===
Source: tango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libcos4-dev,
               libmysqlclient-dev,
               libzmq3-dev (>= 3.2.2),
               po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/tango.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/tango.git
Homepage: http://www.tango-controls.org

Package: liblog4tango4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - shared library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the files necessary for running applications that
 use the log4tango4 library.

Package: liblog4tango4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         liblog4tango4 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - development library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the log4tango4 development files.

Package: liblog4tango4-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         liblog4tango4 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: logging for TANGO - debug library
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the debugging symbol for liblog4tango4.

Package: liblog4tango4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: logging for TANGO - documentation
 Log for TANGO is a library of C++ classes for flexible logging to files,
 syslog and other destinations. It is modeled after the Log for
 C++ library (http://jakarta.apache.org/log4j/), staying as close to
 their API as is reasonable.
 .
 This package contains the documentation of the log4tango4 library.

Package: libtango8
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-common
Pre-Depends: ${misc:Pre-Depends}
Description: TANGO distributed control system - shared library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the files necessary for running TANGO applications.

Package: libtango8-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libcos4-dev,
         liblog4tango4-dev,
         libtango8 (= ${binary:Version}),
         libzmq3-dev
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libtango7-dev
Description: TANGO distributed control system - development library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the tango8 development files.

Package: libtango8-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         libtango8 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: TANGO distributed control system - debug library
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the debugging symbols for tango8.

Package: libtango8-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: TANGO distributed control system - documentation
 TANGO is an object-oriented distributed control system using CORBA. In
 TANGO all objects are representations of devices, which can be on the
 same computer or distributed over a network. Communication between
 devices uses CORBA and can be synchronous, asynchronous or event driven.
 .
 The object model in TANGO supports methods, attributes and properties.
 TANGO provides an API which hides all the details of network access and
 provides object browsing, discovery, and security features. Permanent
 data is stored in a MySQL database.
 .
 TANGO is being actively developed as a collaborative effort between the
 ESRF (www.esrf.eu), Soleil (synchrotron-soleil.fr), Alba (www.cells.es),
 and Elettra institutes (www.elettra.trieste.it).
 .
 This package contains the documentation for the libtango8 library.

Package: libtango-tools
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: tango-common (<< 7.2.6+dfsg-2)
Description: TANGO distributed control system - common executable files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure.

Package: tango-common
Architecture: all
Multi-Arch: foreign
Section: net
Depends: ${misc:Depends},
         adduser
Description: TANGO distributed control system - common files
 This package provides shared files for the TANGO distributed control
 system, and sets up the required infrastructure. It is for now an
 empty package

Package: tango-db
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbconfig-common,
         libtango-tools,
         lsb-base
Recommends: mysql-client
Description: TANGO distributed control system - database server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO database server using MySQL.

Package: tango-db-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-db (= ${binary:Version})
Description: TANGO distributed control system - database debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-db.

Package: tango-starter
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base
Suggests: omninotify
Description: TANGO distributed control system - starter server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device control server. It can start, stop,
 or report the status of other TANGO components.

Package: tango-starter-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-starter (= ${binary:Version})
Description: TANGO distributed control system - starter debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-starter.

Package: tango-accesscontrol
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtango-tools,
         lsb-base,
         tango-db,
         tango-starter
Description: TANGO distributed control system - accesscontrol server
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO accesscontrol server. It can be used to
 manage the users and IP addresses that are permitted to access TANGO
 devices.

Package: tango-accesscontrol-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         tango-accesscontrol (= ${binary:Version})
Description: TANGO distributed control system - accesscontrol debug
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package contains the debugging symbols for tango-accesscontrol.

Package: tango-test
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tango-starter
Description: TANGO distributed control system - test device
 TANGO is an object oriented distributed control system. It allows
 communication between TANGO device processes running on the same
 computer or distributed over the network. These processes can
 provide services to the control system all over the network, such as
 hardware control or data processing.
 .
 This package provides a TANGO device which implements all TANGO
 attribute types, and can be used for testing the installation.
