=== debian/rules ===
#!/usr/bin/make -f

BUILDROOT=build
PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)+.*/\1/p')
FULLDEBVERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*-.*\)/\1/p')

CONFIGURE_OPTS := --with-omni=/usr --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cat cppserver/database/stored_proc.sql\
	    cppserver/database/update_db.sql > debian/mysql/$(FULLDEBVERSION)
	$(MAKE) distclean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql
	install -p -m 644 debian/mysql/* debian/tmp/usr/share/dbconfig-common/data/tango-db/upgrade/mysql

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 $(CURDIR)/$(BUILDROOT)/cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 $(CURDIR)/$(BUILDROOT)/cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_strip:
	dh_strip -plibtango8 --dbg-package=libtango8-dbg
	dh_strip -pliblog4tango4 --dbg-package=liblog4tango4-dbg
	dh_strip -ptango-db --dbg-package=tango-db-dbg
	dh_strip -ptango-starter --dbg-package=tango-starter-dbg
	dh_strip -ptango-accesscontrol --dbg-package=tango-accesscontrol-dbg
	dh_strip -ptango-test --dbg-package=tango-test-dbg
	dh_strip -a -Nlibtango8 -Nliblog4tango4 -Ntango-db -Ntango-starter -Ntango-accesscontrol -Ntango-test

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

%:
	dh $@ --builddirectory=$(BUILDROOT) --with autoreconf

.PHONY: get-orig-source
