=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg// \
http://ftp.esrf.fr/pub/cs/tango/tango-(.*)\.tar\.gz \
debian sh debian/repack.stub
